<?xml version="1.0" encoding="UTF-8"?>
<configuration>

	<property name="LOGS" value="${LOG_PATH}" />

	<appender name="Console"
		class="ch.qos.logback.core.ConsoleAppender">
		<layout class="ch.qos.logback.classic.PatternLayout">
			<Pattern>%green(%d{ISO8601}) - %highlight(%-5level) : %highlight(%msg%n%throwable)
			</Pattern>
		</layout>
	</appender>

	<appender name="RollingFile"
		class="ch.qos.logback.core.rolling.RollingFileAppender">
		<file>${LOGS}/demo.log</file>
		<encoder
			class="ch.qos.logback.classic.encoder.PatternLayoutEncoder">
			<Pattern>%d %p %C{1.} [%t] %m%n</Pattern>
		</encoder>
		<rollingPolicy
			class="ch.qos.logback.core.rolling.FixedWindowRollingPolicy">
			<!-- rollover when the file reaches 1000 KB -->
			<fileNamePattern>${LOGS}/demo.%i.log.zip
			</fileNamePattern>
			<minIndex>1</minIndex>
			<maxIndex>10</maxIndex>
		</rollingPolicy>
		<triggeringPolicy
			class="ch.qos.logback.core.rolling.SizeBasedTriggeringPolicy">
			<maxFileSize>1000KB</maxFileSize>
		</triggeringPolicy>
	</appender>
	<!-- LOG everything at INFO level -->
	<root level="info">
		<appender-ref ref="RollingFile" />
		<appender-ref ref="Console" />
	</root>

	<!-- LOG "com.example*" at ERROR level -->
	<logger name="com.example" level="error" additivity="false">
		<appender-ref ref="RollingFile" />
		<appender-ref ref="Console" />
	</logger>

</configuration>